Pass your token via an Authorization header like this: Authorization: Bearer {token}.
Get all abandoned-carts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "user" "user_customer" "customer_representative" Example: include=user Relations to include |
| append | string Enum: "item_count" "total_price_after_taxes" "transport_costs" "total_price" Examples:
Calculated properties to include |
object Example: uuid=e3169406-0915-4e77-86ff-2439276b8a0d |
{- "data": [
- {
- "type": "carts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "has_exemption_from_taxes": false,
- "taxes_are_included_in_prices": false,
- "taxes_included_in_params": false,
- "subtotal_raw": null,
- "currency_code": null,
- "taxes_percentage_raw": null,
- "taxes": null,
- "subtotal_of_items_raw": null,
- "transport_costs_raw": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "taxes_included_in_transport": false,
- "taxes_included_in_commissions": false,
- "dirty": false,
- "commission_fee_raw": null,
- "taxes_display_name": null,
- "taxes_transport": null,
- "taxes_commission": null,
- "taxes_params": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "diesel_surcharge_raw": "0",
- "taxes_diesel_surcharge": "0",
- "delivery_type_id": "0",
- "store_id": "0",
- "is_snail_mail": false,
- "delivery_address": "",
- "delivery_allowed": false,
- "order_type_id": "0",
- "active_promo_id": "0",
- "transport_type": "0",
- "transport_info": ""
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get all alerts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
object Example: uuid=6bc22406-4c0e-4baa-ba71-cc30130bc3e2 |
{- "data": [
- {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
required | object |
{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": 0,
- "host_id": 0,
- "close_auto_after_seconds": 0,
- "use_session": true
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get a single item
| alert-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Update an item
| alert-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": 0,
- "host_id": 0,
- "close_auto_after_seconds": 0,
- "use_session": true
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "a331ba6e-0b09-4f72-98ff-958a97098944"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get all base-prices
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Value: "product" Example: include=product Relations to include |
object Example: uuid=2223b795-cb3d-4143-8073-df7e4893876d |
{- "data": [
- {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "85a7682e-0f58-4d7d-b09d-b6854f78d157"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Value: "product" Example: include=product Relations to include |
required | object |
{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": 0,
- "config_type_id": 0,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "string",
- "address": "string",
- "account_type": "string",
- "price": 0
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "85a7682e-0f58-4d7d-b09d-b6854f78d157"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Get a single item
| base-price-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "product" Example: include=product Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "85a7682e-0f58-4d7d-b09d-b6854f78d157"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Update an item
| base-price-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "product" Example: include=product Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": 0,
- "config_type_id": 0,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "string",
- "address": "string",
- "account_type": "string",
- "price": 0
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "85a7682e-0f58-4d7d-b09d-b6854f78d157"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Get all brands
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
object Example: uuid=693b6dfd-65ff-4552-afe0-8160e5111d71 |
{- "data": [
- {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "74f9333c-e3c8-4679-ba71-a44ce6e050ea"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "74f9333c-e3c8-4679-ba71-a44ce6e050ea"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "74f9333c-e3c8-4679-ba71-a44ce6e050ea"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
required | object |
{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "74f9333c-e3c8-4679-ba71-a44ce6e050ea"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "74f9333c-e3c8-4679-ba71-a44ce6e050ea"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "74f9333c-e3c8-4679-ba71-a44ce6e050ea"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get a single item
| brand-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "74f9333c-e3c8-4679-ba71-a44ce6e050ea"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "74f9333c-e3c8-4679-ba71-a44ce6e050ea"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "74f9333c-e3c8-4679-ba71-a44ce6e050ea"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Update an item
| brand-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "74f9333c-e3c8-4679-ba71-a44ce6e050ea"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "74f9333c-e3c8-4679-ba71-a44ce6e050ea"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "74f9333c-e3c8-4679-ba71-a44ce6e050ea"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get all business-contexts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
object Example: uuid=fc35571f-7926-44f8-aff8-9a8f52aed733 |
{- "data": [
- {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "parent_id": 0,
- "type_id": 0,
- "order": 0
}
}
}{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get a single item
| business-context-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
}Update an item
| business-context-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "parent_id": 0,
- "type_id": 0,
- "order": 0
}
}
}{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get all callbacks
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
object Example: uuid=8cdeb2c9-a8ad-4333-8cbc-678fb488a5bc |
{- "data": [
- {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "uri_string": "string",
- "max_retries": 0
}
}
}{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
}Get a single item
| callback-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
}Update an item
| callback-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "uri_string": "string",
- "max_retries": 0
}
}
}{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
}Get all carts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Value: "items" Example: include=items Relations to include |
| append | string Enum: "item_count" "total_price_after_taxes" Examples:
Calculated properties to include |
object Example: uuid=b59c6f49-7d06-4989-8235-e84626e494f6 |
{- "data": [
- {
- "type": "carts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "has_exemption_from_taxes": false,
- "taxes_are_included_in_prices": false,
- "taxes_included_in_params": false,
- "subtotal_raw": null,
- "currency_code": null,
- "taxes_percentage_raw": null,
- "taxes": null,
- "subtotal_of_items_raw": null,
- "transport_costs_raw": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "taxes_included_in_transport": false,
- "taxes_included_in_commissions": false,
- "dirty": false,
- "commission_fee_raw": null,
- "taxes_display_name": null,
- "taxes_transport": null,
- "taxes_commission": null,
- "taxes_params": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "diesel_surcharge_raw": "0",
- "taxes_diesel_surcharge": "0",
- "delivery_type_id": "0",
- "store_id": "0",
- "is_snail_mail": false,
- "delivery_address": "",
- "delivery_allowed": false,
- "order_type_id": "0",
- "active_promo_id": "0",
- "transport_type": "0",
- "transport_info": ""
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get a single item
| cart-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "items" Example: include=items Relations to include |
| append | string Enum: "item_count" "total_price_after_taxes" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "carts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "has_exemption_from_taxes": false,
- "taxes_are_included_in_prices": false,
- "taxes_included_in_params": false,
- "subtotal_raw": null,
- "currency_code": null,
- "taxes_percentage_raw": null,
- "taxes": null,
- "subtotal_of_items_raw": null,
- "transport_costs_raw": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "taxes_included_in_transport": false,
- "taxes_included_in_commissions": false,
- "dirty": false,
- "commission_fee_raw": null,
- "taxes_display_name": null,
- "taxes_transport": null,
- "taxes_commission": null,
- "taxes_params": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "diesel_surcharge_raw": "0",
- "taxes_diesel_surcharge": "0",
- "delivery_type_id": "0",
- "store_id": "0",
- "is_snail_mail": false,
- "delivery_address": "",
- "delivery_allowed": false,
- "order_type_id": "0",
- "active_promo_id": "0",
- "transport_type": "0",
- "transport_info": ""
}
}
}Get all carts.items
| cart-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Value: "product" Example: include=product Relations to include |
object Example: uuid=965c2aba-9842-41b8-b299-ceba9569c0b5 |
{- "data": [
- {
- "type": "cart-items",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "taxes": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "code": null,
- "title": null,
- "charge_transport_costs": false,
- "requires_shipping_address": false,
- "quantity": null,
- "unit_price_raw": null,
- "taxes_percentage_raw": null,
- "quantity_unit": null,
- "price_unit": null,
- "cart_id": null,
- "object_type": null,
- "object_id": null,
- "description": null,
- "size_label": null,
- "color_label": null,
- "color_hex_code": null,
- "stock_status_id": null,
- "weight_in_grams": null,
- "price_note": null,
- "is_calculated_manually": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "code_internal": null,
- "source": null,
- "on_demand": false,
- "parent_id": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "a920f16a-1202-4ee3-971c-4816fc867517"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get a single item
| cart-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| item-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "product" Example: include=product Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "cart-items",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "taxes": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "code": null,
- "title": null,
- "charge_transport_costs": false,
- "requires_shipping_address": false,
- "quantity": null,
- "unit_price_raw": null,
- "taxes_percentage_raw": null,
- "quantity_unit": null,
- "price_unit": null,
- "cart_id": null,
- "object_type": null,
- "object_id": null,
- "description": null,
- "size_label": null,
- "color_label": null,
- "color_hex_code": null,
- "stock_status_id": null,
- "weight_in_grams": null,
- "price_note": null,
- "is_calculated_manually": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "code_internal": null,
- "source": null,
- "on_demand": false,
- "parent_id": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "a920f16a-1202-4ee3-971c-4816fc867517"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "3f825711-aa40-489c-8e77-344bbcca864a"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Get all catalogs
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
object Example: uuid=876f6b00-c6f5-4316-b17c-3482b843deec |
{- "data": [
- {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "order_index": 0,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}
}
}{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get a single item
| catalog-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
}Update an item
| catalog-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "order_index": 0,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}
}
}{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get all collections
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
object Example: uuid=2935b92c-4a67-400d-bc07-14fd6a30bb5f&code=voluptatem&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
required | object |
{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "string",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
}Get a single item
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
}Update an item
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "string",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "1312f78a-0563-4b8e-b788-665b3c7f9c2a"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
}Get all collections.children
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
object Example: uuid=2343d5af-fb65-4336-8392-b117e472b06c&code=reiciendis&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "5668c6c4-97c9-4608-a920-e8d13498e978"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "5668c6c4-97c9-4608-a920-e8d13498e978"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "5668c6c4-97c9-4608-a920-e8d13498e978"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "5668c6c4-97c9-4608-a920-e8d13498e978"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "5668c6c4-97c9-4608-a920-e8d13498e978"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "5668c6c4-97c9-4608-a920-e8d13498e978"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get all collections.parent
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
object Example: uuid=2e78b977-4c1b-499b-8a0d-1b99f5a15593&code=ipsa&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "e50daa84-c7cd-4974-be64-c9899f417c67"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "e50daa84-c7cd-4974-be64-c9899f417c67"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "e50daa84-c7cd-4974-be64-c9899f417c67"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "e50daa84-c7cd-4974-be64-c9899f417c67"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "e50daa84-c7cd-4974-be64-c9899f417c67"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "e50daa84-c7cd-4974-be64-c9899f417c67"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get all collections.products
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "units" "prices" "meta_data" "brand" "seo" "highlight_statuses" "related_products" "deposits" "clone_of" "group_with" "files" "links" "videos" "stock_status" "collections" "extras" "pages" Example: include=media Relations to include |
| append | string Enum: "href" "api_id" "hash_id" "promo_price" "promo_percentage" "is_available" "price" "deposit" "catalog_product_price" "uri_added_to_cart" "rating" "rating_count" Examples:
Calculated properties to include |
object Example: uuid=b2a879fe-4dcf-418a-b79f-9f25d47a9618&code=47807044&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get a single item
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| product-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "media" "units" "prices" "meta_data" "brand" "seo" "highlight_statuses" "related_products" "deposits" "clone_of" "group_with" "files" "links" "videos" "stock_status" "collections" "extras" "pages" Example: include=media Relations to include |
| append | string Enum: "href" "api_id" "hash_id" "promo_price" "promo_percentage" "is_available" "price" "deposit" "catalog_product_price" "uri_added_to_cart" "rating" "rating_count" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "c0fbb542-ae34-4f95-b593-4388b7c2ebbf"
}
]
}, - "extras": {
- "data": [
- {
[...]
